Page MenuHomePhabricator

Install extension Page Forms on WikiSpore
Closed, ResolvedPublic

Description

Extension Page Forms is necessary for Cargo to run properly. I'm sorry I didn't mention this before.
One of the issues that is that #arraymap must be defined for Cargo to process lists as expected, and I believe Page Forms does this.

Event Timeline

Bugreporter moved this task from Done to Backlog on the Wikispore board.Aug 24 2020, 12:18 AM
Tgr added a comment.Sep 13 2020, 5:45 PM

First step is to create a vagrant role for PageForms.

Sorry for the long delay on this. If #arraymap is the most important thing, then one alternate approach is to install Scribunto and just create a module that will do what #arraymap does. Of course, it can be useful to have forms in general... @Tgr - how likely do you think it would be that Page Forms could get onto Wikispore, if someone created a Vagrant role for it?

Tgr moved this task from Backlog to Next-up on the Wikispore board.Oct 18 2020, 7:05 PM

Change 640729 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] Add pageforms role

https://gerrit.wikimedia.org/r/640729

Change 640729 merged by jenkins-bot:
[mediawiki/vagrant@master] Add pageforms role

https://gerrit.wikimedia.org/r/640729

@Tgr - thanks for taking care of this. I didn't realize a Vagrant role for Page Forms would be quite this simple! My only comment is that the description sort of makes it sound like Page Forms requires the presence of either SMW or Cargo, while in reality it can work without either one. But it probably doesn't really matter.

Change 640749 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vagrant@master] Fix pageforms role description

https://gerrit.wikimedia.org/r/640749

Change 640749 merged by jenkins-bot:
[mediawiki/vagrant@master] Fix pageforms role description

https://gerrit.wikimedia.org/r/640749

Tgr closed this task as Resolved.Fri, Nov 13, 7:32 AM
Tgr moved this task from Next-up to Done on the Wikispore board.